Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416685 - nfs4_setfacl -R should not bail out on error
Summary: nfs4_setfacl -R should not bail out on error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs4-acl-tools
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Zhi Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 09:11 UTC by Ondrej
Modified: 2020-03-13 14:45 UTC (History)
6 users (show)

Fixed In Version: nfs4-acl-tools-0.3.3-19.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1416683
Environment:
Last Closed: 2018-10-30 11:43:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3291 0 None None None 2018-10-30 11:43:11 UTC

Description Ondrej 2017-01-26 09:11:09 UTC
This is a clone of #1416683

Comment 3 Steve Dickson 2018-07-09 14:19:14 UTC
commit 0f9e167b51cf3a7bc118d1cb5cc9af009c532f90
Author: Kenneth Dsouza <kdsouza@redhat.com>
Date:   Thu Feb 8 03:00:55 2018 +0530

    Add support for recursive nfs4_getfacl option
    
    Add support for -R option so we can list the ACLs of all files and
    directories recursively.
    
    Signed-off-by: Kenneth D'souza <kdsouza@redhat.com>
    Signed-off-by: J. Bruce Fields <bfields@redhat.com>

Comment 4 Red Hat Bugzilla Rules Engine 2018-07-09 14:19:18 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.

Comment 5 Steve Dickson 2018-07-09 15:30:37 UTC
(In reply to Red Hat Bugzilla Rules Engine from comment #4)
> Development Management has reviewed and declined this request. You may
> appeal this decision by reopening this request.

This was a mistake... I meant to dev ack it...

Comment 8 xiaoli feng 2018-09-13 06:36:39 UTC
Sorry, reset the status to MODIFIED.

Comment 9 Zhi Li 2018-09-18 08:04:52 UTC
##########################################
Compared with nfs4-acl-tools-0.3.3-18.el7:
##########################################
[root@~]# cat /proc/mounts  | grep mnt
localhost:/export_test /mnt/1 nfs4 rw,relatime,vers=4.1,rsize=1048576,wsize=1048576,namlen=255,hard,proto=tcp6,timeo=600,retrans=2,sec=sys,clientaddr=::1,local_lock=none,addr=::1 0 0
localhost:/export_test2 /mnt/2 nfs4 rw,relatime,vers=4.1,rsize=1048576,wsize=1048576,namlen=255,hard,proto=tcp6,timeo=600,retrans=2,sec=sys,clientaddr=::1,local_lock=none,addr=::1 0 0
[root@~]# rpm -q nfs4-acl-tools
nfs4-acl-tools-0.3.3-18.el7.x86_64
[root@ibm-x3550m3-06 common]# nfs4_getfacl -R /mnt  <<<<<
Invalid filename: -R
Operation to request attribute not supported.

##########################################
Verified with nfs4-acl-tools-0.3.3-19.el7:
##########################################
[root@~]# rpm -Uvh nfs4-acl-tools-0.3.3-19.el7.x86_64.rpm 
Preparing...                          ################################# [100%]
Updating / installing...
   1:nfs4-acl-tools-0.3.3-19.el7      ################################# [ 50%]
Cleaning up / removing...
   2:nfs4-acl-tools-0.3.3-18.el7      ################################# [100%]
[root@ibm-x3550m3-06 common]# rpm -q nfs4-acl-tools 
nfs4-acl-tools-0.3.3-19.el7.x86_64
[root@~]# nfs4_getfacl -R /mnt  <<<<<
# file: /mnt/1
A::OWNER@:rwaDxtTcCy
A::GROUP@:rxtcy
A::EVERYONE@:rxtcy

# file: /mnt/1/testfile
A::OWNER@:rwaDxtTcCy
A::GROUP@:rxtcy
A::EVERYONE@:rxtcy

# file: /mnt/2
A::OWNER@:rwaDxtTcCy
A::GROUP@:rxtcy
A::EVERYONE@:rxtcy

Comment 10 Ondrej 2018-09-18 11:36:41 UTC
Your last update was probably meant to BZ #1412181

Comment 11 Yongcheng Yang 2018-09-19 03:33:24 UTC
(In reply to Ondrej from comment #10)
> Your last update was probably meant to BZ #1412181

Hi Ondrej, they are a bit different.

This one is to support "-R" recursive listing.
While Bug 1412181 is for multiple arguments i.e. paths.

However, the following 2 commands may act the same:

$ nfs4_getfacl -R /mnt
$ nfs4_getfacl /mnt /mnt/1 /mnt/1/testfile /mnt/2

Comment 13 Zhi Li 2018-09-26 15:13:38 UTC
Moving to VERIFIED according to comment 9.

Comment 15 errata-xmlrpc 2018-10-30 11:43:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3291


Note You need to log in before you can comment on or make changes to this bug.